package org.kohsuke.rng2srng.datatype;

import java.util.List;

import org.relaxng.datatype.Datatype;
import org.relaxng.datatype.DatatypeException;
import org.relaxng.datatype.DatatypeStreamingValidator;
import org.relaxng.datatype.ValidationContext;
import org.relaxng.datatype.helpers.StreamingValidatorImpl;

public class DatatypeImpl implements Datatype {
    
    DatatypeImpl( String nsURI, String name, List parameters ) {
        this.nsURI = nsURI;
        this.name = name;
        this.parameters = parameters;
    }
    
    /** datatype name.*/
    public final String nsURI;
    public final String name;

    /** applied parameters. */
    public final List parameters;

    public boolean isValid(String text, ValidationContext context) {
        return true;
    }

    public void checkValid(String text, ValidationContext context) throws DatatypeException {
    }

    public DatatypeStreamingValidator createStreamingValidator(ValidationContext context) {
        return new StreamingValidatorImpl(this,context);
    }

    public Object createValue(String value, ValidationContext arg1) {
        return value;
    }

    public boolean sameValue(Object v1, Object v2) {
        return v1.equals(v2);
    }

    public int valueHashCode(Object v) {
        return v.hashCode();
    }

    public int getIdType() { return ID_TYPE_NULL; }
    
    public boolean isContextDependent() { return false; }
}
