package org.kohsuke.rng2srng.datatype;

import org.relaxng.datatype.Datatype;
import org.relaxng.datatype.DatatypeBuilder;
import org.relaxng.datatype.DatatypeException;
import org.relaxng.datatype.DatatypeLibrary;

/**
 * 
 * 
 * @author Kohsuke Kawaguchi (kk@kohsuke.org)
 */
class DatatypeLibraryImpl implements DatatypeLibrary {

    DatatypeLibraryImpl( String nsURI ) {
        this.nsURI = nsURI;
    }
    
    /** Datatype libarry URI. */
    private final String nsURI;
    
    public DatatypeBuilder createDatatypeBuilder(String dtName)
        throws DatatypeException {
            
        return new DatatypeBuilderImpl(nsURI,dtName);    
    }

    public Datatype createDatatype(String dtName) throws DatatypeException {
        return createDatatypeBuilder(dtName).createDatatype();
    }

}
